<apex:page standardController="BP_Idea__c" extensions="BSPextension" contentType="application/pdf" renderAs="pdf" showHeader="false" sidebar="false" standardStylesheets="false" applyBodyTag="false" applyHtmlTag="true">
    <head>
  
      <style>
            @page {
                size: letter;
                margin: 20 mm;
                
                @top-right {
                    content: "";
                }
            }
            .page-break {
                display:block;
                page-break-after: always;
            }
            .body {
                font-family: Arial Unicode MS;
            }
            .headerStyle {
                font-size: 16px;
            }
            .comments{
               <!-- font=family: Arial Unicode MS;
                font-size: 12px;-->
                overflow-wrap:break-word;
                text-align: center;
         
            }
           table, td, tr {
    border: 1px solid black;
    }
          
.tg  {    border-collapse:collapse;
          border-spacing:0;
          border-color:#ccc;}
.tg td{   font-family:Arial, sans-serif;
          font-size:14px;padding:10px 5px;
          border-style:solid;border-width:1px;
          overflow:hidden;
          word-break:normal;
          border-color:#ccc;
          color:#333;
          background-color:#fff;}
.tg th{   font-family:Arial, sans-serif;
          font-size:14px;
          font-weight:normal;
          padding:10px 5px;
          border-style:solid;
          border-width:1px;
          overflow:hidden;
          word-break:normal;
          border-color:#ccc;
          color:#333;
          background-color:#f0f0f0;}
            @media all {
    .page-break { display: none; }
}

    @media {
    .page-break { display: block; page-break-before: always; }
}
          
        </style>
      </head> 
    
    
   <body>
       

       <div align = "center">    
  <apex:image value="{!URLFOR($Resource.HuskyEnergyLogo)}"/>  
    <h1>
        Business Support Plan - IS Initiative
     </h1>
    <h2>
       {!BP_Idea__c.Name}
     </h2>
   
    </div>
       


    <div>
       <u> <apex:outputLabel for="Section 1" value="Section 1" style="font-weight: bold;"/></u> <br/><br/>
        <apex:outputLabel for="Description" value="Description: " style="font-weight: bold;"/> <br/><br/>
        <apex:outputText id="Description" value="{!BP_Idea__c.Business_Objectives__c}" styleClass="comments" escape="false" /><br/><br/>
       <!-- <apex:outputLabel for="BusinessInitiative" value="Business Initiative(s) Supported:  " style="font-weight: bold;"/> <br/>
        <apex:outputText id="BusinessInitiative" value="" styleClass="comments" /><br/><br/>-->
        
        <apex:outputLabel for="BusinessPriority" value="Business Priority:  " style="font-weight: bold;"/> <br/>
        <apex:outputText id="BusinessPriority" value="{!BP_Idea__c.Business_Priority__c}" styleClass="comments" escape="false" /><br/><br/>
        
        <apex:outputLabel for="Complexity" value="Complexity:  " style="font-weight: bold;"/> <br/>
        <apex:outputText id="Complexity" value="{!BP_Idea__c.Complexity__c}" styleClass="comments"  escape="false"/><br/><br/>
        
        <apex:outputLabel for="Timeline" value="Estimated Start Date:  " /> 
        <apex:outputText value="{0,date,dd.MM.yyyy}">
        <apex:param value="{!BP_Idea__c.Estimated_Start_Date__c}" /></apex:outputText><br/>
        <apex:outputLabel for="Timeline" value="Estimated End Date: "/> 
        <apex:outputText value="{0,date,dd.MM.yyyy}">
        <apex:param value="{!BP_Idea__c.Estimated_End_Date__c}" /></apex:outputText><br/><br/>
        
        <apex:outputLabel for="Justification" value="Business Justification: " style="font-weight: bold;"/> <br/>
        <apex:outputText id="Justification" value="{!BP_Idea__c.Primary_Business_Justification__c}" styleClass="comments" escape="false" /><br/><br/>
        
        <apex:outputLabel for="Classification" value="Classification: " style="font-weight: bold;"/> <br/>
        <apex:outputText id="Classification" value="{!BP_Idea__c.Classification__c}" styleClass="comments" escape="false" /><br/><br/>
            
        <div style="page-break-after:always;" />    
        <u><apex:outputLabel for="Section 2" value="Section 2" style="font-weight: bold;"/></u> <br/><br/>
        
      <!--  <apex:outputLabel for="Impact" value="Impact if Not Executed Within Required Timeframe:  " style="font-weight: bold;"/> <br/>
        <apex:outputText id="Impact" value="" styleClass="comments" /><br/><br/>-->
        
        <apex:outputLabel for="Value" value="Business Value/Potential Benefits: " style="font-weight: bold;"/> <br/>
        <apex:outputText id="Value" value="{!BP_Idea__c.Business_Value_Drivers__c}" styleClass="comments" escape="false"/><br/><br/>
        
        <apex:outputLabel for="Affected" value="Business Areas Affected and Nature of Impact: " style="font-weight: bold;"/> <br/>
        <apex:outputText id="Affected" value="{!BP_Idea__c.Business_Areas_Affected__c}" styleClass="comments" escape="false"/><br/><br/>
        
        <!--<apex:outputLabel for="Synergies" value="Potential for Synergies with other Business Units: " style="font-weight: bold;"/> <br/>
        <apex:outputText id="Synergies" value="" styleClass="comments" /><br/><br/>-->
        
        <apex:outputLabel for="Assumptions" value="Key Assumptions: " style="font-weight: bold;"/> <br/>
        <apex:outputText id="Assumptions" value="{!BP_Idea__c.Risk_Factors__c}" styleClass="comments" escape="false"/><br/><br/>
        
        <apex:outputLabel for="Dependencies" value="Dependencies and Key Dates: " style="font-weight: bold;"/> <br/>
        <apex:outputText id="Dependencies" value="{!BP_Idea__c.Dependencies_and_Key_Dates__c}" styleClass="comments" escape="false"/><br/><br/>
        
        <apex:outputLabel for="Stakeholders" value="Potential Stakeholders: " style="font-weight: bold;"/> <br/>
        <apex:outputText id="Stakeholders" value="{!BP_Idea__c.Potential_Stakeholders__c}" styleClass="comments" escape="false" /><br/><br/>
        
       <!-- <apex:outputLabel for="Capabilities" value="Application Capabilities Supported (Application Capability Model Attached): " style="font-weight: bold;"/> <br/>
        <apex:outputText id="Capabilities" value="" styleClass="comments" /><br/><br/>-->
        <div style="page-break-after:always;">   </div> 
        <u><apex:outputLabel for="Section 3" value="Section 3 " style="font-weight: bold;"/></u> <br/><br/>
        
      <!--  <apex:outputLabel for="Risk Factors" value="Business Risk Factors: " style="font-weight: bold;"/> <br/><br/> -->
        
        <apex:outputLabel for="Duration" value="Estimated Project Duration: {!projectDuration} months" style="font-weight: bold;"/> <br/><br/>
        
        <apex:outputLabel for="Costs" value="Estimated Project Costs: " style="font-weight: bold;"/> <br/><br/>

        <table class="tg" style="undefined;table-layout: fixed; width: 685px" >
                <colgroup>
                    <col style="width: 94px"/>
                    <col style="width: 53px"/>
                    <col style="width: 51px"/>
                    <col style="width: 51px"/>
                    <col style="width: 65px"/>
                </colgroup>
          <tr>
            <th style="text-align: center">IS</th>
            <th style="text-align: center">{!year1}</th>
            <th style="text-align: center">{!year2}</th>
            <th style="text-align: center">{!year3}</th>
            <th style="text-align: center">Total ($)<br/></th>
          </tr>
          <tr>
            <td>Capital ($)<br/></td>
            <td style="text-align: right">$<apex:outputText value="{0, number, ###,##0}"><apex:param value="{!BP_Idea__c.Year_1_Capital__c}" /></apex:outputText></td>
            <td style="text-align: right">$<apex:outputText value="{0, number, ###,##0}"><apex:param value="{!BP_Idea__c.Year_2_Capital__c}" /></apex:outputText></td>
            <td style="text-align: right">$<apex:outputText value="{0, number, ###,##0}"><apex:param value="{!BP_Idea__c.Year_3_Capital__c}" /></apex:outputText></td>
            <td style="text-align: right">$<apex:outputText value="{0, number, ###,##0}"><apex:param value="{!BP_Idea__c.Total_Capital__c}" /></apex:outputText></td>
          </tr>
          <tr>
            <td>Expenses ($)</td>
            <td style="text-align: right">$<apex:outputText value="{0, number, ###,##0}" style="align: right"><apex:param value="{!BP_Idea__c.Year_1_Expense__c}" /></apex:outputText><br/></td>
            <td style="text-align: right">$<apex:outputText value="{0, number, ###,##0}"><apex:param value="{!BP_Idea__c.Year_2_Expense__c}" /></apex:outputText></td>
            <td style="text-align: right">$<apex:outputText value="{0, number, ###,##0}"><apex:param value="{!BP_Idea__c.Year_3_Expense__c}" /></apex:outputText><br/></td>
            <td style="text-align: right">$<apex:outputText value="{0, number, ###,##0}"><apex:param value="{!BP_Idea__c.Total_Expenses__c}" /></apex:outputText></td>
          </tr>
          <!-- <tr>
            <td>Total ($)</td>
            <td><apex:outputText value="{0, number, currency}"><apex:param value="{!BP_Idea__c.Year_1_Revenue__c}" /></apex:outputText><br/></td>
            <td><apex:outputText value="{0, number, currency}"><apex:param value="{!BP_Idea__c.Year_2_Revenue__c}" /></apex:outputText></td>
            <td><apex:outputText value="{0, number, currency}"><apex:param value="{!BP_Idea__c.Year_3_Revenue__c}" /></apex:outputText></td>
            <td><apex:outputText value="{0, number, currency}"><apex:param value="{!BP_Idea__c.Total_Revenue__c}" /></apex:outputText></td>
          </tr> -->
          <tr>
            <td>Total ($)</td>
            <td style="text-align: right">$<apex:outputText value="{0, number, ###,##0}"><apex:param value="{!BP_Idea__c.Year_1_Capital__c + BP_Idea__c.Year_1_Expense__c}" /></apex:outputText><br/></td>
            <td style="text-align: right">$<apex:outputText value="{0, number, ###,##0}"><apex:param value="{!BP_Idea__c.Year_2_Capital__c + BP_Idea__c.Year_2_Expense__c}" /></apex:outputText></td>
            <td style="text-align: right">$<apex:outputText value="{0, number, ###,##0}"><apex:param value="{!BP_Idea__c.Year_3_Capital__c + BP_Idea__c.Year_3_Expense__c}" /></apex:outputText></td>
            <td style="text-align: right">$<apex:outputText value="{0, number, ###,##0}"><apex:param value="{!BP_Idea__c.Total_Capital__c + BP_Idea__c.Total_Expenses__c}" /></apex:outputText></td>
          </tr>  
    </table><br/>
        
    <apex:outputLabel for="Confidence" value="Confidence Level of Estimated Project Costs: {!BP_Idea__c.Project_Cost_Confidence_Level__c}" style="font-weight: bold;"/> <br/><br/>       
        
 
    <table class="tg" style="undefined;table-layout: fixed; width: 685px">
      <tr>
          <th style="width: 98px">Last Updated<br/></th>
          <th style="width: 210px">Business Contact Signature<br/></th>
          <th style="width: 210px">BP/PgM Signature<br/></th>
      </tr>
      <tr>
        <td rowspan="2">
            <apex:outputText value="{0, date, EEEE, MMMM d','  yyyy}">
                <apex:param value="{!BP_Idea__c.LastModifiedDate}" /> 
            </apex:outputText>        
        </td>
        <td style ="height: 30px">   </td>
        <td >    </td>
      </tr>
      <tr>
        <td>{!BP_Idea__c.Requestor_Name__r.Name}</td>
        <td>{!BP_Idea__c.Primary_IS_Business_Partner__r.Name}</td>
      </tr>
    </table>   
       
    </div>
    </body> 
</apex:page>